मुख्य सामग्री पर जाएं
GET
/
2
/
dm_events
/
{event_id}
id द्वारा DM इवेंट प्राप्त करें
curl --request GET \
  --url https://api.x.com/2/dm_events/{event_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "event_type": "MessageCreate",
    "id": "1146654567674912769",
    "attachments": {
      "card_ids": [
        "<string>"
      ],
      "media_keys": [
        "<string>"
      ]
    },
    "cashtags": [
      {
        "end": 61,
        "start": 50,
        "tag": "TWTR"
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "dm_conversation_id": "123123123-456456456",
    "hashtags": [
      {
        "end": 61,
        "start": 50,
        "tag": "MondayMotivation"
      }
    ],
    "mentions": [
      {
        "end": 61,
        "start": 50,
        "username": "<string>",
        "id": "2244994945"
      }
    ],
    "participant_ids": [
      "2244994945"
    ],
    "referenced_tweets": [
      {
        "id": "1346889436626259968"
      }
    ],
    "sender_id": "2244994945",
    "text": "<string>",
    "urls": [
      {
        "end": 61,
        "start": 50,
        "url": "https://developer.twitter.com/en/docs/twitter-api",
        "description": "This is a description of the website.",
        "display_url": "twittercommunity.com/t/introducing-…",
        "expanded_url": "https://developer.twitter.com/en/docs/twitter-api",
        "images": [
          {
            "height": 1,
            "url": "https://developer.twitter.com/en/docs/twitter-api",
            "width": 1
          }
        ],
        "media_key": "<string>",
        "status": 349,
        "title": "Introducing the v2 follow lookup endpoints",
        "unwound_url": "https://twittercommunity.com/t/introducing-the-v2-follow-lookup-endpoints/147118"
      }
    ]
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "includes": {
    "media": [
      {
        "type": "<string>",
        "preview_image_url": "<string>",
        "variants": [
          {
            "bit_rate": 123,
            "content_type": "<string>",
            "url": "<string>"
          }
        ],
        "height": 1,
        "media_key": "<string>",
        "width": 1
      }
    ],
    "places": [
      {
        "full_name": "Lakewood, CO",
        "id": "f7eb2fa2fea288b1",
        "contained_within": [
          "f7eb2fa2fea288b1"
        ],
        "country": "United States",
        "country_code": "US",
        "geo": {
          "bbox": [
            -105.193475,
            39.60973,
            -105.053164,
            39.761974
          ],
          "properties": {},
          "geometry": {
            "coordinates": [
              -105.18816086351444,
              40.247749999999996
            ],
            "type": "Point"
          }
        },
        "name": "Lakewood",
        "place_type": "city"
      }
    ],
    "polls": [
      {
        "id": "1365059861688410112",
        "options": [
          {
            "label": "<string>",
            "position": 123,
            "votes": 123
          }
        ],
        "duration_minutes": 5042,
        "end_datetime": "2023-11-07T05:31:56Z"
      }
    ],
    "topics": [
      {
        "id": "<string>",
        "name": "Technology",
        "description": "All about technology"
      }
    ],
    "tweets": [
      {
        "author_id": "2244994945",
        "created_at": "Wed Jan 06 18:40:40 +0000 2021",
        "id": "1346889436626259968",
        "text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
        "username": "XDevelopers"
      }
    ],
    "users": [
      {
        "created_at": "2013-12-14T04:35:55Z",
        "id": "2244994945",
        "name": "X Dev",
        "protected": false,
        "username": "TwitterDev"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

प्राधिकरण

Authorization
string
header
आवश्यक

The access token received from the authorization server in the OAuth 2.0 flow.

पथ पैरामीटर

event_id
string
आवश्यक

dm इवेंट id। DM इवेंट का अद्वितीय पहचानकर्ता।

Pattern: ^[0-9]{1,19}$
उदाहरण:

"1146654567674912769"

क्वेरी पैरामीटर

dm_event.fields
enum<string>[]

प्रदर्शित करने के लिए DmEvent फ़ील्ड्स की अल्पविराम-से-पृथक सूची। DmEvent ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
उपलब्ध विकल्प:
attachments,
created_at,
dm_conversation_id,
entities,
event_type,
id,
participant_ids,
referenced_tweets,
sender_id,
text
उदाहरण:
[
"attachments",
"created_at",
"dm_conversation_id",
"entities",
"event_type",
"id",
"participant_ids",
"referenced_tweets",
"sender_id",
"text"
]
expansions
enum<string>[]

विस्तारित करने के लिए फ़ील्ड्स की अल्पविराम-से-पृथक सूची। DmEvent ऑब्जेक्ट के लिए उन फ़ील्ड्स की सूची जिन्हें आप विस्तारित कर सकते हैं। यदि किसी फ़ील्ड में ID है, तो उसे पूर्ण ऑब्जेक्ट में विस्तारित किया जा सकता है।

Minimum array length: 1
उपलब्ध विकल्प:
attachments.media_keys,
participant_ids,
referenced_tweets.id,
sender_id
उदाहरण:
[
"attachments.media_keys",
"participant_ids",
"referenced_tweets.id",
"sender_id"
]
media.fields
enum<string>[]

प्रदर्शित करने के लिए Media फ़ील्ड्स की अल्पविराम-से-अलग सूची। Media ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
उपलब्ध विकल्प:
alt_text,
duration_ms,
height,
media_key,
non_public_metrics,
organic_metrics,
preview_image_url,
promoted_metrics,
public_metrics,
type,
url,
variants,
width
उदाहरण:
[
"alt_text",
"duration_ms",
"height",
"media_key",
"non_public_metrics",
"organic_metrics",
"preview_image_url",
"promoted_metrics",
"public_metrics",
"type",
"url",
"variants",
"width"
]
user.fields
enum<string>[]

दिखाने के लिए User फ़ील्ड्स की अल्पविराम से अलग की गई सूची। User ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
उपलब्ध विकल्प:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
उदाहरण:
[
"affiliation",
"confirmed_email",
"connection_status",
"created_at",
"description",
"entities",
"id",
"is_identity_verified",
"location",
"most_recent_tweet_id",
"name",
"parody",
"pinned_tweet_id",
"profile_banner_url",
"profile_image_url",
"protected",
"public_metrics",
"receives_your_dm",
"subscription",
"subscription_type",
"url",
"username",
"verified",
"verified_followers_count",
"verified_type",
"withheld"
]
tweet.fields
enum<string>[]

दिखाने के लिए Tweet फ़ील्ड्स की अल्पविराम से अलग की गई सूची। Tweet ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
उपलब्ध विकल्प:
article,
attachments,
author_id,
card_uri,
community_id,
context_annotations,
conversation_id,
created_at,
display_text_range,
edit_controls,
edit_history_tweet_ids,
entities,
geo,
id,
in_reply_to_user_id,
lang,
media_metadata,
non_public_metrics,
note_tweet,
organic_metrics,
possibly_sensitive,
promoted_metrics,
public_metrics,
referenced_tweets,
reply_settings,
scopes,
source,
suggested_source_links,
suggested_source_links_with_counts,
text,
withheld
उदाहरण:
[
"article",
"attachments",
"author_id",
"card_uri",
"community_id",
"context_annotations",
"conversation_id",
"created_at",
"display_text_range",
"edit_controls",
"edit_history_tweet_ids",
"entities",
"geo",
"id",
"in_reply_to_user_id",
"lang",
"media_metadata",
"non_public_metrics",
"note_tweet",
"organic_metrics",
"possibly_sensitive",
"promoted_metrics",
"public_metrics",
"referenced_tweets",
"reply_settings",
"scopes",
"source",
"suggested_source_links",
"suggested_source_links_with_counts",
"text",
"withheld"
]

प्रतिक्रिया

अनुरोध सफल रहा।

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।

includes
object